### Hierarchy

- IAssetCache

## Index

### Properties

- enabled

### Methods

- clear
- getBitmapData
- getFont
- getSound
- hasBitmapData
- hasFont
- hasSound
- removeBitmapData
- removeFont
- removeSound
- setBitmapData
- setFont
- setSound

## Properties

### enabled

enabled: boolean

- Defined in lib/openfl/utils/IAssetCache.d.ts:12

## Methods

### clear

- clear(prefix?: string): void

- - Defined in lib/openfl/utils/IAssetCache.d.ts:14

  #### Parameters

  - ##### Optional prefix: string

  #### Returns void

### getBitmapData

- getBitmapData(id: string): BitmapData

- - Defined in lib/openfl/utils/IAssetCache.d.ts:15

  #### Parameters

  - ##### id: string

  #### Returns BitmapData

### getFont

- getFont(id: string): Font

- - Defined in lib/openfl/utils/IAssetCache.d.ts:16

  #### Parameters

  - ##### id: string

  #### Returns Font

### getSound

- getSound(id: string): Sound

- - Defined in lib/openfl/utils/IAssetCache.d.ts:17

  #### Parameters

  - ##### id: string

  #### Returns Sound

### hasBitmapData

- hasBitmapData(id: string): boolean

- - Defined in lib/openfl/utils/IAssetCache.d.ts:18

  #### Parameters

  - ##### id: string

  #### Returns boolean

### hasFont

- hasFont(id: string): boolean

- - Defined in lib/openfl/utils/IAssetCache.d.ts:19

  #### Parameters

  - ##### id: string

  #### Returns boolean

### hasSound

- hasSound(id: string): boolean

- - Defined in lib/openfl/utils/IAssetCache.d.ts:20

  #### Parameters

  - ##### id: string

  #### Returns boolean

### removeBitmapData

- removeBitmapData(id: string): boolean

- - Defined in lib/openfl/utils/IAssetCache.d.ts:21

  #### Parameters

  - ##### id: string

  #### Returns boolean

### removeFont

- removeFont(id: string): boolean

- - Defined in lib/openfl/utils/IAssetCache.d.ts:22

  #### Parameters

  - ##### id: string

  #### Returns boolean

### removeSound

- removeSound(id: string): boolean

- - Defined in lib/openfl/utils/IAssetCache.d.ts:23

  #### Parameters

  - ##### id: string

  #### Returns boolean

### setBitmapData

- setBitmapData(id: string, bitmapData: BitmapData ): void

- - Defined in lib/openfl/utils/IAssetCache.d.ts:24

  #### Parameters

  - ##### id: string

  - ##### bitmapData: BitmapData

  #### Returns void

### setFont

- setFont(id: string, font: Font ): void

- - Defined in lib/openfl/utils/IAssetCache.d.ts:25

  #### Parameters

  - ##### id: string

  - ##### font: Font

  #### Returns void

### setSound

- setSound(id: string, sound: Sound ): void

- - Defined in lib/openfl/utils/IAssetCache.d.ts:26

  #### Parameters

  - ##### id: string

  - ##### sound: Sound

  #### Returns void

Generated using TypeDoc